/**
 *  CSE 154
 *  Lab 8 Regex and Form Validation
 *  Exercise 2: Epizzeria
 *  Part II: Validation in JS
 *  (Starter JS)
 */
(function() {
  "use strict";

  window.addEventListener("load", initialize);
  
  function initialize() {
    // prevent the default form behavior when a submit button is clicked - we want to 
    // post through an ajax request instead
    $("order-form").addEventListener("submit", function(event) {
      event.preventDefault(); // submit action on forms by default redirect page, so prevent that behavior
      // if we've gotten in here, all html5 validation checks have passed
      e.preventDefault(); 
      validateFormInputs();
    });
  }

  function validateFormInputs() {
    // TODO: Implement client-side validation with JS!
  }

  /* ==============================  Helper Functions ============================== */

  /**
   * Returns the element that has the ID attribute with the specified value.
   * @param {string} id - element ID.
   * @return {object} DOM object associated with id.
   */
  function $(id) {
    return document.getElementById(id);
  }

  /**
   * Returns an array of DOM elements matching given query selector (alias for
   * document.querySelectorAll) 
   * @param {string} query - query matching returned DOM elements.
   * @return {object[]} array of DOM objects matching the given query.
   */
  function qs(query) {
    return document.querySelectorAll(query);
  }
})();
