<?php
/*
 * CSE 154
 * Lab 8 Regex and Form Validation
 * Exercise 3: Epizzeria
 * Part III: Validation in PHP
 * 
 * Step 1:
 * First, test the provided code for this Part III on a localserver and note that is returned
 * from a request to this web service. In epizzeria.js, the response JSON is printed out with
 * console.log. Because $_POST is an array, we can encode it as JSON. This is a good debugging
 * strategy to see values are being sent to your web service when you send a larger POST request
 * through a FormData!
 */

# Provided starter testing code:
header("Content-type: application/json");
print_r(json_encode($_POST)); // e.g. { city:"seattle", state:"wa", sauce:"tomato"}

/*
 * Step 2: Once you've tried submitting different options for the form and seeing the different JSON
 * responses you get back in the console, then start performing server-side validation here with
 * regex (and remove the above testing code).
 */

$crust = $_POST["crust"]; 
$sauce = $_POST["sauce"]; 
$size = $_POST["size"]; 
$cheeses = $_POST["cheeses"]; 
$toppings = $_POST["toppings"]; 

$tip; 
if (isset($_POST["tip"])) { 
  $tip = $_POST["tip"]; 
} 

$address; 
if(isset($_POST["address"])) { 
  $street = $_POST["address"]; 
} 

$city;  
if(isset($_POST["city"])) { 
  $city = $_POST["city"]; 
} 

$state; 
if(isset($_POST["state"])) { 
  $state = $_POST["state"]; 
} 

# Your code goes here! 
